## libgetdata 0.7.3

=== debian/changelog ===
libgetdata (0.7.3-6ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:16:11 +0000

libgetdata (0.7.3-6) unstable; urgency=low

  * Fix lintian warnings about manpage NAME entries
  * Update control fields for upload to Debian

 -- Michael Milligan <mmilligan@astro.umn.edu>  Sun, 18 Sep 2011 11:02:34 -0500

libgetdata (0.7.3-5) lucid; urgency=low

  * added proper Breaks/Replaces relationship between -tools and -util

 -- Steven Benton <stevebenton@rogers.com>  Fri, 22 Jul 2011 12:08:51 -0400

libgetdata (0.7.3-4) lucid; urgency=low

  * removed bad patch persisting 0.7.1, for all files (not just Makefile.in)
  * patch to configure script, allows C++ not to be built, until fixed upstream

 -- Steven Benton <stevebenton@rogers.com>  Thu, 21 Jul 2011 13:30:19 -0400

libgetdata (0.7.3-3) lucid; urgency=low

  * libgetdata-dev now depends an all C, C++, F77, F95 runtime libraries
  * removed erroneous patch that persisted an old version of Makefile.in
  * renamed libgetdata-util to libgetdata-tools

 -- Steven Benton <stevebenton@rogers.com>  Wed, 20 Jul 2011 10:58:08 -0400

libgetdata (0.7.3-2) lucid; urgency=low

  * added packaging for the fortran bindings
  * added dependencies on libgetdata4 to all other binary packages
  * -dev package now recommends c++ and fortran libraries
  * do not install libtool .la files
  * readded watch file

 -- Steven Benton <stevebenton@rogers.com>  Mon, 18 Jul 2011 14:58:17 -0400

libgetdata (0.7.3-1) unstable; urgency=low

  * renamed and reorganized packages to conform to Debian policy
  * libgetdata split to libgetdata4 and libgetdata++2
  * libgetdata-python renamed to python-pygetdata

 -- Michael Milligan <mmilligan@astro.umn.edu>  Thu, 07 Jul 2011 04:08:59 -0500

libgetdata (0.7.3) lucid; urgency=low

  * new upstream release
  * added debian/source/format file to maybe fix native-package confusion
  * remove watch file since package name differs from sf project

 -- Steven Benton <stevebenton@rogers.com>  Thu, 23 Jun 2011 16:21:58 -0400

libgetdata (0.7.1) lucid; urgency=low

  * new upstream release
  * repackaged again as not debian-native (I must be doing something wrong)
  * packaged python bindings in libgetdata-python

 -- Steven Benton <stevebenton@rogers.com>  Thu, 23 Jun 2011 16:19:14 -0400

libgetdata (0.7.0) lucid; urgency=low

  * new upstream release
  * repackaged as not debian-native (it shouldn't be, and wasn't originally)
  * removed sonumber from library package, since nobody will run old getdata
  * added new dirfile2ascii to -util, along with manpages

 -- Steven Benton <stevebenton@rogers.com>  Wed, 24 Nov 2010 11:09:59 +1300

libgetdata (0.6.3ppa2) lucid; urgency=low

  * added utility programs in new libgetdata-util package

 -- Steven Benton <stevebenton@rogers.com>  Sat, 20 Nov 2010 10:26:09 +1300

libgetdata (0.6.3ppa1) jaunty; urgency=low

  * fix licensing terms: LGPL 2.1 is different from LGPL 2

 -- Steven Benton <stevebenton@rogers.com>  Fri, 07 May 2010 18:38:57 -0400

libgetdata (0.6.3ppa0-1) jaunty; urgency=low

  * Initial release and debianization

 -- Steven Benton <stevebenton@rogers.com>  Fri, 07 May 2010 18:38:57 -0400
