=== debian/control ===
Source: libgetdata
Priority: extra
Maintainer: Michael Milligan <mmilligan@astro.umn.edu>
Uploaders: Steven Benton <stevebenton@rogers.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-numpy, python-all-dev, python-support (>= 0.90), fortran-compiler, dh-autoreconf, automake1.11
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Section: libs
Homepage: http://getdata.sourceforge.net/

Package: libgetdata-dev
Section: libdevel
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), libgetdata++2 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), libf95getdata2 (= ${binary:Version}), ${misc:Depends}
Description: library to read/write dirfile data - devel files (C, C++, F77, F95)
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata4
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata++2
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - C++ bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libfgetdata2
Section: libs
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 77 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libf95getdata2
Section: libs
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 95 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-tools
Section: libs
Replaces: libgetdata-util (<< 0.7.3-3)
Breaks: libgetdata-util (<< 0.7.3-3)
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - extra tools
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: python-pygetdata
Section: python
Replaces: libgetdata-python (<< 0.7.3-1)
Breaks: libgetdata-python (<< 0.7.3-1)
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), python-numpy, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - python bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.
