=== debian/watch ===
version=3

http://sf.net/getdata/getdata-(.*)\.tar\.gz
