## libgetdata 0.9.0

=== debian/changelog ===
libgetdata (0.9.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * libgetdata-doc: Reinstate the Breaks+Replaces against libgetdata-dev.
    (Closes: #799340)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Jan 2016 14:48:03 +0100

libgetdata (0.9.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct Breaks/Replaces on libgetdata-doc, remove those added
    in previous uploads (Closes: #799340)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 02 Jan 2016 22:23:48 +0000

libgetdata (0.9.0-2) unstable; urgency=medium

  * Breaks/Replace fix for libgetdata-tools. Closes: #799340.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Nov 2015 01:46:55 +0000

libgetdata (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Breaks/Replace fix. Closes: #799340.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Oct 2015 05:22:16 +0000

libgetdata (0.8.9-3) unstable; urgency=medium

  * Add Breaks to -dev, -doc packages to resolve upgrade issue.
    Closes: #799340.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2015 19:29:39 +0100

libgetdata (0.8.9-2) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Add build-depends on libmodule-build-perl for perl5.22. Closes: #799118. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Sep 2015 08:54:54 +0100

libgetdata (0.8.9-1) unstable; urgency=low

  [ Steven Benton ]
  * New upstream release.
  * Removed patches, both were fixed upstream
  * Update Standards-Version to 3.9.6
  * change versioning to reflect SONAME change
  * add libgetdata-doc package for documentation
  * add encoding (compression) libraries to Build-Depends
  * add libgetdata-perl package for perl bindings
  * enable autotools-dev to update config.{guess,sub} (Closes: #727407)
  * enable multi-arch on library packages

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Sep 2015 22:37:14 +0100

libgetdata (0.7.3-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python2 (Closes: #785977)
  * Call dh_numpy, to generate dependencies based on the numpy ABI.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Aug 2015 12:55:40 -0700

libgetdata (0.7.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against gcc5/gfortran for transition.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Aug 2015 10:40:54 +0100
