=== debian/control ===
Source: libgetdata
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9~), autotools-dev, dh-python, python-numpy, python-all-dev, fortran-compiler, zlib1g-dev, libbz2-dev, liblzma-dev, libzzip-dev , libmodule-build-perl
Standards-Version: 3.9.6
X-Python-Version: >= 2.3
Section: science
Vcs-Git: git://anonscm.debian.org/debian-science/packages/libgetdata.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libgetdata.git
Homepage: http://getdata.sourceforge.net/

Package: libgetdata-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: libgetdata-dev (<< 0.8.9-2), libgetdata-tools (<< 0.8.9-2)
Replaces: libgetdata-dev (<< 0.8.9-2), libgetdata-tools (<< 0.8.9-2)
Suggests: libgetdata-dev
Description: library to read/write dirfile data - API and standards documents
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-dev
Section: libdevel
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), libgetdata++3 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), libf95getdata2 (= ${binary:Version}), ${misc:Depends}
Suggests: libgetdata-doc
Description: library to read/write dirfile data - devel files (C, C++, F77, F95)
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata5
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata++3
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - C++ bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libfgetdata2
Section: libs
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 77 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libf95getdata2
Section: libs
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 95 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-tools
Section: libs
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - extra tools
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: python-pygetdata
Section: python
Replaces: libgetdata-python (<< 0.7.3-1)
Breaks: libgetdata-python (<< 0.7.3-1)
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), python-numpy, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - python bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-perl
Section: perl
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - perl bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.
