=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYVERS=$(shell pyversions -vs)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export AUTOMAKE = automake-1.11
-export ACLOCAL = aclocal-1.11
+PYVERS=$(shell pyversions -vr)
 
 %:
-	dh  $@ --with autoreconf
+	dh $@ --with python2,autotools_dev
 
 override_dh_auto_configure:
-	dh_auto_configure -Bbuild-main -- --disable-python
+	dh_auto_configure -Bbuild-main -- --disable-python --with-perl-dir=vendor
 	cp src/*.h build-main/src/
 	for v in $(PYVERS); do \
 	  dh_auto_configure -Bbuild-py$$v -- --disable-bindings --enable-python --with-python=/usr/bin/python$$v; \
@@ -40,6 +39,7 @@
 	for v in $(PYVERS); do \
 	  dh_auto_install -Bbuild-py$$v; \
 	done
+	dh_numpy
 
 override_dh_auto_clean:
 	dh_auto_clean -Bbuild-main
