## libgetdata 0.9.2.1

=== debian/changelog ===
libgetdata (0.9.2.1-1) UNRELEASED; urgency=medium

  * New upstream version
  * Standards-Version: 3.9.8

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 May 2016 11:59:18 +0100

libgetdata (0.9.1-2) unstable; urgency=medium

  * Add Breaks/Replaces, as package names in 0.9.0 were not conssitent with
    sonames.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Feb 2016 18:09:25 +0000

libgetdata (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Use xz compression.
  * Another soname bump:
      libfgetdata2 -> libfgetdata5
      libgetdata5 -> libgetdata7
      libgetdata++3 -> libgetdata++6
      libf95getdata2 -> libf96getdata6

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Feb 2016 16:10:07 +0000
