=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, dh-python, python-numpy, python-all-dev, fortran-compiler, zlib1g-dev, libbz2-dev, liblzma-dev, libzzip-dev , libmodule-build-perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.3
 Section: science
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/libgetdata.git
@@ -26,7 +26,7 @@
 Package: libgetdata-dev
 Section: libdevel
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), libgetdata++3 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), libf95getdata2 (= ${binary:Version}), ${misc:Depends}
+Depends: libgetdata7 (= ${binary:Version}), libgetdata++6 (= ${binary:Version}), libfgetdata5 (= ${binary:Version}), libf95getdata6 (= ${binary:Version}), ${misc:Depends}
 Suggests: libgetdata-doc
 Description: library to read/write dirfile data - devel files (C, C++, F77, F95)
  The GetData Project is the reference implementation of the Dirfile Standards, 
@@ -34,7 +34,7 @@
  data. The Dirfile database format is designed to provide a fast, simple format 
  for storing and reading data.
 
-Package: libgetdata5
+Package: libgetdata7
 Section: libs
 Replaces: libgetdata (<< 0.7.3-1)
 Breaks: libgetdata (<< 0.7.3-1)
@@ -46,32 +46,36 @@
  data. The Dirfile database format is designed to provide a fast, simple format 
  for storing and reading data.
 
-Package: libgetdata++3
+Package: libgetdata++6
 Section: libs
-Replaces: libgetdata (<< 0.7.3-1)
-Breaks: libgetdata (<< 0.7.3-1)
+Replaces: libgetdata (<< 0.7.3-1), libgetdata++3
+Breaks: libgetdata (<< 0.7.3-1), libgetdata++3
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgetdata7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - C++ bindings
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary 
  data. The Dirfile database format is designed to provide a fast, simple format 
  for storing and reading data.
 
-Package: libfgetdata2
+Package: libfgetdata5
 Section: libs
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Replaces: libfgetdata2
+Breaks: libfgetdata2
+Depends: libgetdata7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - Fortran 77 bindings
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary 
  data. The Dirfile database format is designed to provide a fast, simple format 
  for storing and reading data.
 
-Package: libf95getdata2
+Package: libf95getdata6
 Section: libs
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Breaks: libf95getdata2
+Replaces: libf95getdata2
+Depends: libgetdata7 (= ${binary:Version}), libfgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - Fortran 95 bindings
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary 
@@ -81,7 +85,7 @@
 Package: libgetdata-tools
 Section: libs
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgetdata7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - extra tools
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary 
@@ -93,7 +97,7 @@
 Replaces: libgetdata-python (<< 0.7.3-1)
 Breaks: libgetdata-python (<< 0.7.3-1)
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), python-numpy, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: libgetdata7 (= ${binary:Version}), python-numpy, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - python bindings
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary 
@@ -103,7 +107,7 @@
 Package: libgetdata-perl
 Section: perl
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: libgetdata7 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - perl bindings
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary
