## libgetdata 0.9.3

=== debian/changelog ===
libgetdata (0.9.3-2) unstable; urgency=medium

  * Add python3-pygetdata package.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Aug 2016 04:59:21 +0100

libgetdata (0.9.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 3.9.8

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Aug 2016 12:41:46 +0100
