=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9~), autotools-dev, dh-python, python-numpy, python-all-dev, fortran-compiler, zlib1g-dev, libbz2-dev, liblzma-dev, libzzip-dev , libmodule-build-perl
+Build-Depends: debhelper (>= 9~), autotools-dev, 
+ dh-python, python-numpy, python-all-dev, 
+ python3-numpy, python3-all-dev,
+ fortran-compiler, zlib1g-dev, libbz2-dev, liblzma-dev, libzzip-dev , libmodule-build-perl
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.3
 Section: science
@@ -104,6 +107,16 @@
  data. The Dirfile database format is designed to provide a fast, simple format 
  for storing and reading data.
 
+Package: python3-pygetdata
+Section: python
+Architecture: any
+Depends: libgetdata7 (= ${binary:Version}), python3-numpy, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: library to read/write dirfile data - Python3 bindings
+ The GetData Project is the reference implementation of the Dirfile Standards,
+ a filesystem-based, column-oriented database format for time-ordered binary
+ data. The Dirfile database format is designed to provide a fast, simple format
+ for storing and reading data.
+
 Package: libgetdata-perl
 Section: perl
 Architecture: any
