=== debian/rules ===
--- 
+++ 
@@ -7,19 +7,20 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 PYVERS=$(shell pyversions -vr)
+PY3VERS=$(shell py3versions -vr)
 
 %:
-	dh $@ --with python2,autotools_dev
+	dh $@ --with python2,python3,autotools_dev
 
 override_dh_auto_configure:
 	dh_auto_configure -Bbuild-main -- --disable-python --with-perl-dir=vendor
 	cp src/*.h build-main/src/
-	for v in $(PYVERS); do \
+	for v in $(PYVERS) $(PY3VERS); do \
 	  dh_auto_configure -Bbuild-py$$v -- --disable-bindings --enable-python --with-python=/usr/bin/python$$v; \
 	  cp src/*.h build-py$$v/src/; \
 	done
@@ -30,19 +31,23 @@
 
 override_dh_auto_build:
 	dh_auto_build -Bbuild-main
-	for v in $(PYVERS); do \
+	for v in $(PYVERS) $(PY3VERS); do \
 	  dh_auto_build -Bbuild-py$$v; \
 	done
 
 override_dh_auto_install:
 	dh_auto_install -Bbuild-main
-	for v in $(PYVERS); do \
+	for v in $(PYVERS) $(PY3VERS); do \
 	  dh_auto_install -Bbuild-py$$v; \
 	done
 	dh_numpy
+	dh_numpy3
+	# rename
+	mv debian/tmp/usr/lib/python2.7/site-packages \
+		debian/tmp/usr/lib/python2.7/dist-packages
 
 override_dh_auto_clean:
 	dh_auto_clean -Bbuild-main
-	for v in $(PYVERS); do \
+	for v in $(PYVERS) $(PY3VERS); do \
 	  dh_auto_clean -Bbuild-py$$v; \
 	done
