## libgetdata 0.9.4

=== debian/changelog ===
libgetdata (0.9.4-1+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2021-20204.

 -- Anton Gladky <gladk@debian.org>  Thu, 13 May 2021 15:57:00 +0200

libgetdata (0.9.4-1) unstable; urgency=medium

  * New upstream release
  * DH_COMPAT=10
  * Enable flac. Add dependendencies on libflac-dev, flac
  * d/rules: no longer need to rename site-packages -> dist-packages

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Sep 2016 09:08:31 +0100
