=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9~), autotools-dev, 
+Build-Depends: debhelper (>= 10), autotools-dev, 
  dh-python, python-numpy, python-all-dev, 
  python3-numpy, python3-all-dev,
+ libflac-dev, flac,
  fortran-compiler, zlib1g-dev, libbz2-dev, liblzma-dev, libzzip-dev , libmodule-build-perl
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.3
