## libgetdata 0.10.0

=== debian/changelog ===
libgetdata (0.10.0-6build3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:29 +0100

libgetdata (0.10.0-6build2) focal; urgency=medium

  * No change rebuild with Python 3.8

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 Oct 2019 15:24:45 +1300

libgetdata (0.10.0-6build1) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:21:44 +0000

libgetdata (0.10.0-6) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Drop python2 support
  * Use debhelper-compat (=12)
  * B-D on gfortran | fortran-compiler
  * use f77 and f95 as fortran compiler aliases in d/rules
  * Use --as-needed when linking with gfortran but not flang

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Jul 2019 14:09:57 +0100

libgetdata (0.10.0-5) unstable; urgency=medium

  * Rebuild for python3.7 support

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Jul 2018 15:05:59 +0100

libgetdata (0.10.0-4) unstable; urgency=medium

  * Standards-Version: 4.1.4
  * Use https for homepage
  * Use Priority: optional, not extra
  * Drop calls, dep on autotools_dev with DH 10
  * Mark  packages as M-A foreign, same
  * Drop ancient x-python-version
  * Move VCS to salsa.d.o
  * Force use of gfortran-8 for mod format transition
  * Add libltdl-dev dependency 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 May 2018 11:16:32 +0100

libgetdata (0.10.0-3) unstable; urgency=medium

  * libltdl-dev now needed to build. Closes: #865312
  * Standards-Version: 4.0.0. No changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Jun 2017 12:34:46 +0100

libgetdata (0.10.0-2) unstable; urgency=medium

  * Update copyright file. Closes: #861767

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 May 2017 17:24:04 +0100

libgetdata (0.10.0-1) experimental; urgency=medium

  * New upstream release
  * Soname bump:
     libgetdata7 -> libgetdata8
     libfgetdata5 -> libfgetdata6
     libf95getdata6 -> libf95getdata7
     libgetdata++6 -> libgetdata++7     

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 May 2017 11:40:07 +0100
