=== debian/control ===
Source: libgetdata
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 12), 
 dh-python, 
 dh-fortran-mod,
 python3-numpy, 
 python3-all-dev,
 libltdl-dev,
 libflac-dev, 
 flac,
 gfortran | fortran-compiler,
 flang [amd64 arm64 ppc64el],
 zlib1g-dev, 
 libbz2-dev, 
 liblzma-dev, 
 libzzip-dev , 
 libmodule-build-perl
Standards-Version: 4.4.0
Section: science
Vcs-Browser: https://salsa.debian.org:/science-team/libgetdata.git
Vcs-Git: https://salsa.debian.org:/science-team/libgetdata.git
Homepage: https://getdata.sourceforge.net/

Package: libgetdata-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libgetdata-dev (<< 0.8.9-2), libgetdata-tools (<< 0.8.9-2)
Replaces: libgetdata-dev (<< 0.8.9-2), libgetdata-tools (<< 0.8.9-2)
Suggests: libgetdata-dev
Description: library to read/write dirfile data - API and standards documents
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-dev
Section: libdevel
Architecture: any
Depends: libgetdata8 (= ${binary:Version}), libgetdata++7 (= ${binary:Version}), libfgetdata6 (= ${binary:Version}), libf95getdata7 (= ${binary:Version}), ${misc:Depends}
Suggests: libgetdata-doc
Description: library to read/write dirfile data - devel files (C, C++, F77, F95)
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata8
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata++7
Section: libs
Replaces: libgetdata (<< 0.7.3-1), libgetdata++3
Breaks: libgetdata (<< 0.7.3-1), libgetdata++3
Architecture: any
Multi-Arch: same
Depends: libgetdata8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - C++ bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libfgetdata6
Section: libs
Architecture: any
Multi-Arch: same
Replaces: libfgetdata2
Breaks: libfgetdata2
Depends: libgetdata8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 77 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libf95getdata7
Section: libs
Architecture: any
Multi-Arch: same
Breaks: libf95getdata2
Replaces: libf95getdata2
Depends: libgetdata8 (= ${binary:Version}), libfgetdata6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 95 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-tools
Section: libs
Architecture: any
Depends: libgetdata8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - extra tools
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: python3-pygetdata
Section: python
Architecture: any
Multi-Arch: same
Depends: libgetdata8 (= ${binary:Version}), python3-numpy, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Python3 bindings
 The GetData Project is the reference implementation of the Dirfile Standards,
 a filesystem-based, column-oriented database format for time-ordered binary
 data. The Dirfile database format is designed to provide a fast, simple format
 for storing and reading data.

Package: libgetdata-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends: libgetdata8 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - perl bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.
