=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

FC:=$(shell basename $(shell readlink /usr/bin/f95))
F77:=$(shell basename $(shell readlink /usr/bin/f77))
export F77 FC

FLANGARCHS:= amd64 arm64 ppc64el
DO_FLANG:= $(if $(filter  $(FLANGARCHS),$(DEB_HOST_ARCH)), true, false)

# Use --as-needed with gfortran, not flang
ifneq ($(filter gfortran,$(FC)),)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
endif

PY3VERS=$(shell py3versions -vr)

%:
	dh $@ --with python3,fortran_mod

override_dh_auto_configure:
	dh_auto_configure -Bbuild-main -- --disable-python --with-perl-dir=vendor
	cp src/*.h build-main/src/
	for v in $(PY3VERS); do \
	  dh_auto_configure -Bbuild-py$$v -- --disable-bindings --enable-python --with-python=/usr/bin/python$$v; \
	  cp src/*.h build-py$$v/src/; \
	done

#trick from python-ldns
# magic is: PYTHON_VERSION=$$v dh_auto_configure -Bbuild-py$$v 
# and later dh_auto_build -Bbuild-py$$v

override_dh_auto_build:
	dh_auto_build -Bbuild-main
	for v in $(PY3VERS); do \
	  dh_auto_build -Bbuild-py$$v; \
	done

override_dh_auto_install:
	dh_auto_install -Bbuild-main
	for v in $(PY3VERS); do \
	  dh_auto_install -Bbuild-py$$v; \
	done
	dh_numpy3

override_dh_auto_clean:
	dh_auto_clean -Bbuild-main
	for v in $(PY3VERS); do \
	  dh_auto_clean -Bbuild-py$$v; \
	done
